#!/bin/sh
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/zy-pkgs/bin
. /etc/profile
bsname=${0##/*/}
if [ -e /tmp/syslogng_full.flag ]; then
	echo "${bsname}: skip, /tmp/syslogng_full.flag exist"
	exit 0
fi

touch /tmp/syslogng_full.flag
zylogger -s 18 -p 0 -f 18 "Syslog Log Destination is Full, Logging Failed"
setLED SYS GREEN OFF
setLED SYS RED BLINK

while [ -e /tmp/syslogng_full.flag ]; do
	which buzzerc
	if [ $? -eq 0 ]; then
		buzzerc -t 1
	else
		/usr/local/htp/htp_test_items togglebit 0xf1010100 0x02000000 20000 1
	fi
	sleep 3
done
setLED SYS RED OFF
setLED SYS GREEN ON
